Breaking changes

As a general rule, we strive to keep backwards compatibility between minor versions (e.g. 7.x to 7.y) so you can upgrade without any configuration file changes, but there are breaking changes between major versions (e.g. 6.x to 7.y). Migrating directly between non consecutive major versions (e.g. 5.x to 7.x) is not recommended.

See the following topics for a description of breaking changes: